Bug 1296939 (owncloud/tarstreamer) - Review Request: php-owncloud-tarstreamer - Streaming dynamic tar files
Summary: Review Request: php-owncloud-tarstreamer - Streaming dynamic tar files
Status: CLOSED ERRATA
Alias: owncloud/tarstreamer
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Shawn Iwinski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 1262185
TreeView+ depends on / blocked
 
Reported: 2016-01-08 13:48 UTC by Remi Collet
Modified: 2016-02-15 00:57 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-02 00:53:46 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
shawn: fedora-review+


Attachments (Terms of Use)
phpcompatinfo-full.log (4.01 KB, text/plain)
2016-01-20 06:18 UTC, Shawn Iwinski
no flags Details
phpcompatinfo-lib.log (3.33 KB, text/plain)
2016-01-20 06:18 UTC, Shawn Iwinski
no flags Details
fedora-review.txt (7.08 KB, text/plain)
2016-01-20 06:19 UTC, Shawn Iwinski
no flags Details

Description Remi Collet 2016-01-08 13:48:20 UTC
Spec URL: https://raw.githubusercontent.com/remicollet/remirepo/345ffee04e593ca3549b83911418e0bfccf0f003/php/php-owncloud-tarstreamer/php-owncloud-tarstreamer.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/php-owncloud-tarstreamer-0.1-0.1.beta3.remi.src.rpm
Description: 
A library for dynamically streaming dynamic tar files without
the need to have the complete file stored on the server.

Autoloader: /usr/share/php/ownCloud/TarStreamer/autoload.php

Fedora Account System Username: remi

--
New dependency of owncloud
As usualy, I plan to clean the EL-5 stuff after import.

Comment 1 Upstream Release Monitoring 2016-01-08 14:05:23 UTC
remi's scratch build of php-owncloud-tarstreamer-0.1-0.1.beta3.remi.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12466766

Comment 2 Shawn Iwinski 2016-01-20 06:18 UTC
Created attachment 1116491 [details]
phpcompatinfo-full.log

phpCompatInfo version 4.5.2 DB built Nov 26 2015 14:29:15 CET

Comment 3 Shawn Iwinski 2016-01-20 06:18 UTC
Created attachment 1116492 [details]
phpcompatinfo-lib.log

phpCompatInfo version 4.5.2 DB built Nov 26 2015 14:29:15 CET

Comment 4 Shawn Iwinski 2016-01-20 06:19 UTC
Created attachment 1116493 [details]
fedora-review.txt

Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1296939
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 5 Shawn Iwinski 2016-01-20 06:20:45 UTC
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[!]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[!]: Buildroot is not present
     Note: Buildroot: present but not needed
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required

As usual, remove EPEL 5 bits after initial import



No blockers.

===== APPROVED =====

Comment 6 Remi Collet 2016-01-20 06:27:07 UTC
Thanks, SCM request open.

Comment 7 Gwyn Ciesla 2016-01-20 14:10:15 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/php-owncloud-tarstreamer

Comment 8 Fedora Update System 2016-01-21 05:43:18 UTC
php-owncloud-tarstreamer-0.1-0.1.beta3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f4e180b95c

Comment 9 Fedora Update System 2016-01-21 05:43:19 UTC
php-owncloud-tarstreamer-0.1-0.1.beta3.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-2e3081dd3c

Comment 10 Fedora Update System 2016-01-21 05:43:20 UTC
php-owncloud-tarstreamer-0.1-0.1.beta3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f4e180b95c

Comment 11 Fedora Update System 2016-01-21 05:43:22 UTC
php-owncloud-tarstreamer-0.1-0.1.beta3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f4e180b95c

Comment 12 Fedora Update System 2016-01-21 05:43:25 UTC
php-owncloud-tarstreamer-0.1-0.1.beta3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-3fc1891837

Comment 13 Fedora Update System 2016-01-22 04:56:52 UTC
php-owncloud-tarstreamer-0.1-0.1.beta3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f4e180b95c

Comment 14 Fedora Update System 2016-01-22 07:56:09 UTC
php-owncloud-tarstreamer-0.1-0.1.beta3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-3fc1891837

Comment 15 Fedora Update System 2016-01-23 21:30:00 UTC
php-owncloud-tarstreamer-0.1-0.1.beta3.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-2e3081dd3c

Comment 16 Fedora Update System 2016-02-02 00:53:44 UTC
php-owncloud-tarstreamer-0.1-0.1.beta3.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2016-02-02 05:49:52 UTC
php-owncloud-tarstreamer-0.1-0.1.beta3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2016-02-15 00:57:00 UTC
php-owncloud-tarstreamer-0.1-0.1.beta3.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.